*,
input,
select,
textarea,
button {
	box-shadow: none;
	box-sizing: border-box;
	font-size: 1rem;
	margin: 0;
	padding: 0;
}

.icon {
	font-family: "Material Symbols Rounded";
	font-weight: normal;
	font-style: normal;
	font-size: 24px;
	line-height: 1;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	vertical-align: -0.24em;
	white-space: nowrap;
	direction: ltr;
	font-feature-settings: "liga";
	-webkit-font-feature-settings: "liga";
	-webkit-font-smoothing: antialiased;
	font-variation-settings:
		"FILL" 1,
		"wght" 400,
		"GRAD" 0,
		"opsz" 24;
}

body {
	background-color: #252526;
	color: aliceblue;
	font-family: sans-serif;
	margin: 0;
}

.main-container {
	background-color: #252526;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	min-height: 100vh;
}

.profile-header {
	border: 1px solid #3c3c3c;
	display: flex;
	gap: 10px;
	justify-content: space-between;
	padding: 12px;

	div.profile-id {
		align-items: center;
		color: #d4d4d4;
		display: flex;
		font-weight: 700;
		gap: 10px;
	}

	.menu-nav {
		align-items: center;
		display: flex;
		gap: 10px;
		justify-content: flex-end;

		select {
			background: #2d2d2d;
			border: 1px solid #3c3c3c;
			color: #d4d4d4;
			padding: 5px 10px;
			border-radius: 4px;
		}
	}
}

.file-list {
	border: 1px solid #3c3c3c;
	display: flex;
	flex-direction: column;
	flex: 1;
	gap: 10px;
	padding: 12px;

	ul {
		li {
			align-items: center;
			display: flex;
			justify-content: space-between;

			select {
				background: #2d2d2d;
				border: 1px solid #3c3c3c;
				border-radius: 4px;
				color: #d4d4d4;
				padding: 5px 10px;
				/* width: 100%; */

				option.file-name {
					font-weight: 700;
				}
			}
		}
	}
}

.editor-dialog {
	background-color: #1a1a1b;
	color: #d4d4d4;
	height: 100%;
	left: 0;
	max-height: 100%;
	max-width: 100%;
	outline: 2px solid cyan;
	outline-offset: -2px;
	position: fixed;
	top: 0;
	width: 100%;
}